Gallery Images - Get
Gets a gallery image
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureStackHCI/galleryImages/{galleryImageName}?api-version=2024-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
gallery
|
path | True |
string minLength: 1maxLength: 80 pattern: ^[a-zA-Z0-9]$|^[a-zA-Z0-9][-._a-zA-Z0-9]{0,78}[a-zA-Z0-9]$ |
Name of the gallery image |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
GetGalleryImage
Sample request
GET https://management.azure.com/subscriptions/fd3c3665-1729-4b7b-9a38-238e83b0f98b/resourceGroups/test-rg/providers/Microsoft.AzureStackHCI/galleryImages/test-gallery-image?api-version=2024-01-01
Sample response
{
"id": "/subscriptions/a95612cb-f1fa-4daa-a4fd-272844fa512c/resourceGroups/dogfoodarc/providers/Microsoft.AzureStackHCI/galleryImages/test-gallery-image",
"name": "test-gallery-image",
"type": "Microsoft.AzureStackHCI/galleryImages",
"location": "West US2",
"extendedLocation": {
"name": "/subscriptions/a95612cb-f1fa-4daa-a4fd-272844fa512c/resourceGroups/dogfoodarc/providers/Microsoft.ExtendedLocation/customLocations/dogfood-location",
"type": "CustomLocation"
},
"properties": {
"provisioningState": "Accepted",
"containerId": "/subscriptions/a95612cb-f1fa-4daa-a4fd-272844fa512c/resourceGroups/dogfoodarc/providers/Microsoft.AzureStackHCI/storageContainers/test-storage-container",
"osType": "Windows",
"cloudInitDataSource": "NoCloud",
"hyperVGeneration": "V1",
"identifier": {
"publisher": "myPublisherName",
"offer": "myOfferName",
"sku": "mySkuName"
},
"version": {
"name": "1.0.0",
"properties": {
"storageProfile": {
"osDiskImage": {
"sizeInMB": 30270
}
}
}
},
"status": {
"provisioningStatus": {
"operationId": "79cfc696-44f5-4a68-a620-21850f7e9fb0",
"status": "Succeeded"
},
"progressPercentage": 100,
"downloadStatus": {
"downloadSizeInMB": 9383
}
}
}
}
Definitions
| Name | Description |
|---|---|
|
Cloud |
Datasource for the gallery image when provisioning with cloud-init [NoCloud, Azure] |
|
created |
The type of identity that created the resource. |
|
Download |
The download status of the gallery image |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Extended |
The complex type of the extended location. |
|
Extended |
The type of the extended location. |
|
Gallery |
This is the gallery image definition identifier. |
|
Gallery |
The gallery images resource definition. |
|
Gallery |
Specifies information about the gallery image version that you want to create or update. |
|
Gallery |
This is the storage profile of a Gallery Image Version. |
|
Gallery |
This is the OS disk image. |
|
Hyper |
The hypervisor generation of the Virtual Machine [V1, V2] |
|
Operating |
Operating system type that the gallery image uses [Windows, Linux] |
|
Provisioning |
Provisioning state of the gallery image. |
|
Provisioning |
|
| Status |
The status of the operation performed on the gallery image [Succeeded, Failed, InProgress] |
|
system |
Metadata pertaining to creation and last modification of the resource. |
CloudInitDataSource
Datasource for the gallery image when provisioning with cloud-init [NoCloud, Azure]
| Value | Description |
|---|---|
| NoCloud | |
| Azure |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DownloadStatus
The download status of the gallery image
| Name | Type | Description |
|---|---|---|
| downloadSizeInMB |
integer (int64) |
The downloaded sized of the image in MB |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ExtendedLocation
The complex type of the extended location.
| Name | Type | Description |
|---|---|---|
| name |
string |
The name of the extended location. |
| type |
The type of the extended location. |
ExtendedLocationTypes
The type of the extended location.
| Value | Description |
|---|---|
| CustomLocation |
GalleryImageIdentifier
This is the gallery image definition identifier.
| Name | Type | Description |
|---|---|---|
| offer |
string |
The name of the gallery image definition offer. |
| publisher |
string |
The name of the gallery image definition publisher. |
| sku |
string |
The name of the gallery image definition SKU. |
GalleryImages
The gallery images resource definition.
| Name | Type | Description |
|---|---|---|
| extendedLocation |
The extendedLocation of the resource. |
|
| id |
string |
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
| location |
string |
The geo-location where the resource lives |
| name |
string |
The name of the resource |
| properties.cloudInitDataSource |
Datasource for the gallery image when provisioning with cloud-init [NoCloud, Azure] |
|
| properties.containerId |
string (arm-id) |
Storage ContainerID of the storage container to be used for gallery image |
| properties.hyperVGeneration |
The hypervisor generation of the Virtual Machine [V1, V2] |
|
| properties.identifier |
This is the gallery image definition identifier. |
|
| properties.imagePath |
string |
location of the image the gallery image should be created from |
| properties.osType |
Operating system type that the gallery image uses [Windows, Linux] |
|
| properties.provisioningState |
Provisioning state of the gallery image. |
|
| properties.status.downloadStatus |
The download status of the gallery image |
|
| properties.status.errorCode |
string |
GalleryImage provisioning error code |
| properties.status.errorMessage |
string |
Descriptive error message |
| properties.status.progressPercentage |
integer (int64) |
The progress of the operation in percentage |
| properties.status.provisioningStatus | ||
| properties.version |
Specifies information about the gallery image version that you want to create or update. |
|
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| tags |
object |
Resource tags. |
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
GalleryImageVersion
Specifies information about the gallery image version that you want to create or update.
| Name | Type | Description |
|---|---|---|
| name |
string |
This is the version of the gallery image. |
| properties.storageProfile |
This is the storage profile of a Gallery Image Version. |
GalleryImageVersionStorageProfile
This is the storage profile of a Gallery Image Version.
| Name | Type | Description |
|---|---|---|
| osDiskImage |
This is the OS disk image. |
GalleryOSDiskImage
This is the OS disk image.
| Name | Type | Description |
|---|---|---|
| sizeInMB |
integer (int64) |
This property indicates the size of the VHD to be created. |
HyperVGeneration
The hypervisor generation of the Virtual Machine [V1, V2]
| Value | Description |
|---|---|
| V1 | |
| V2 |
OperatingSystemTypes
Operating system type that the gallery image uses [Windows, Linux]
| Value | Description |
|---|---|
| Windows | |
| Linux |
ProvisioningStateEnum
Provisioning state of the gallery image.
| Value | Description |
|---|---|
| Succeeded | |
| Failed | |
| InProgress | |
| Accepted | |
| Deleting | |
| Canceled |
ProvisioningStatus
| Name | Type | Description |
|---|---|---|
| operationId |
string |
The ID of the operation performed on the gallery image |
| status |
The status of the operation performed on the gallery image [Succeeded, Failed, InProgress] |
Status
The status of the operation performed on the gallery image [Succeeded, Failed, InProgress]
| Value | Description |
|---|---|
| Succeeded | |
| Failed | |
| InProgress |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |